Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.struts.command
Class StrutsViewTilesCommand

    java.lang.Object
      com.ibm.portal.struts.command.StrutsViewCommand
          com.ibm.portal.struts.command.StrutsViewJspCommand
              com.ibm.portal.struts.command.StrutsViewTilesCommand

All Implemented Interfaces:
  IViewCommand, java.io.Serializable

    public class StrutsViewTilesCommand

extends StrutsViewJspCommand

The `StrutsViewTilesCommand` class is a command pattern class used to provide a mechanism to encapsulate the information needed to redisplay a view for dynamic content that uses Struts Tiles. The important piece here is that a tiles definition may have a controller tried to the JSP that needs to be invoked everytime the JSP is rendered.

Since:
  5.1
See Also:
  Serialized Form

Field Summary
`protected static java.lang.String` | `IncludeURL` name of request attribute for whether or not to include the uri
`protected static MessageResources` | `messages` The message resources for the Struts Portlet Framework.

Fields inherited from class com.ibm.portal.struts.command.StrutsViewJspCommand
`QUERY, URI`

Fields inherited from class com.ibm.portal.struts.command.StrutsViewCommand
`CONTENT_TYPE, PREFIX`

Constructor Summary
`StrutsViewTilesCommand(java.lang.String uri, PortletRequest request)` Construct our View command

Method Summary
`static void` | `addAttributeNameToSave(java.lang.String attributeName)` Add the name of an attribute from the object request the needs to be saved if present for the execution of the IViewCommand in Portal's render phase
`static void` | `addAttributeTypeToSave(java.lang.Class attributeType)` Add the class type of an attribute from request that needs to be saved if present for the execution of the IViewCommand in Portal's render phase
`void` | `execute(RenderRequest request, RenderResponse response, ViewCommandExecutionContext executionContext)` Execute the given command given the request and response objects
`protected void` | `includeURL(java.lang.String url, RenderRequest request, RenderResponse response, ViewCommandExecutionContext executionContext)` Include the URL
`static void` | `removeAttributeNameToSave(java.lang.String attributeName)` Remove the name of an attribute from the list of attribute names to save
`static void` | `removeAttributeTypeToSave(java.lang.Class attributeType)` Remove the class type of the request attribute from the list of attributes to save.
`void` | `saveAttributes(PortletRequest request, ViewCommandExecutionContext executionContext)` Save the attributes specific to Tiles rendering.

Methods inherited from class com.ibm.portal.struts.command.StrutsViewJspCommand
`addQueryParameters, getQueryString, getUri, setQueryString, setUri`

Methods inherited from class com.ibm.portal.struts.command.StrutsViewCommand
`addAttribute, getContentType, getPrefix, getRemoveOnModeChange, getSavedAttributes, getSavedCommand, removeAttribute, repopulateRequest, saveAsAttribute, saveAttribute, saveAttributes, saveCommand, saveCommand, setContentType, setContentType, setPrefix, setRemoveOnModeChange, setSavedAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IncludeURL

    protected static final java.lang.String IncludeURL

  name of request attribute for whether or not to include the uri

  See Also:
    Constant Field Values

### messages

    protected static MessageResources messages

  The message resources for the Struts Portlet Framework.

Constructor Detail

### StrutsViewTilesCommand

    public StrutsViewTilesCommand(java.lang.String uri,
                                  PortletRequest request)

  Construct our View command

  Parameters:
    `uri` - the uri path to the JSP
    `request` - The request object to save context information from

Method Detail

### execute

    public void execute(RenderRequest request,
                        RenderResponse response,
                        ViewCommandExecutionContext executionContext)
                 throws PortletException

  Execute the given command given the request and response objects

  Specified by:
    `execute` in interface `IViewCommand`
  Overrides:
    `execute` in class `StrutsViewJspCommand`
  Parameters:
    `request` - The request object
    `response` - The response object
    `executionContext` - the execution context object
  Throws:
    `PortletException` - if the request cannot be fulfilled

### includeURL

    protected void includeURL(java.lang.String url,
                              RenderRequest request,
                              RenderResponse response,
                              ViewCommandExecutionContext executionContext)
                       throws PortletException

  Include the URL

  Overrides:
    `includeURL` in class `StrutsViewJspCommand`
  Parameters:
    `uri` - the uri to include
    `request` - the request object
    `response` - the reponse object
    `executionContext` - the execution context
  Throws:
    `PortletException` - if file can not be included

### saveAttributes

    public void saveAttributes(PortletRequest request,
                               ViewCommandExecutionContext executionContext)

  Save the attributes specific to Tiles rendering.

  Overrides:
    `saveAttributes` in class `StrutsViewJspCommand`
  Parameters:
    `request` - the request object
    `executionContext` - the context object

### addAttributeNameToSave

    public static void addAttributeNameToSave(java.lang.String attributeName)

  Add the name of an attribute from the object request the needs to be saved if present for the execution of the IViewCommand in Portal's render phase

  Parameters:
    `attributeName` - the name of the attribute

### removeAttributeNameToSave

    public static void removeAttributeNameToSave(java.lang.String attributeName)

  Remove the name of an attribute from the list of attribute names to save

  Parameters:
    `attributeName` - the name of the attribute

### addAttributeTypeToSave

    public static void addAttributeTypeToSave(java.lang.Class attributeType)

  Add the class type of an attribute from request that needs to be saved if present for the execution of the IViewCommand in Portal's render phase

  Parameters:
    `attributeType` - the attribute type

### removeAttributeTypeToSave

    public static void removeAttributeTypeToSave(java.lang.Class attributeType)

  Remove the class type of the request attribute from the list of attributes to save.

  Parameters:
    `attributeType` - the attribute type

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD